Subject: RE: B20.1 bug: find is acting funny
From: [email-masked] (Hugh Winkler)

5 Jan 1999 00:51:37 -0800
Message-ID: <[email-masked]>
References: <179AA48D1741D211821700805FFE241873CA8D@HQMAIL02>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Thanks fellows,

You're both correct, it's my usage that's incorrect. I found the same
behavior on a bash running on a BSD system.

I'm still a little mystified that I don't need the escape or the quotes if
there are no matching files in the directory; I wonder what argv[3] is in
that case. I guess it must be "*.java". Interesting.

Hugh Winkler
Scout Systems, Inc.

> -----Original Message-----
> From: Kevin Schnitzius [mailto:[email-masked]]
> How does bash do file name matching on '*'?
> What does 'echo *.java' produce in that directory?
> Shouldn't your find command be 'find ./ -name \*.java'?
>

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> If yo use find with file name globbing you shoud be shure
> that the shell doesn't it before
> So you have to say
>
> $ find ./ -name "*.java"
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".